#include <stdio.h>
#include <stdlib.h>

int
main()
{
	double ***pointer = NULL;
	*( *( *( pointer = (double ***) malloc(sizeof(double **))) = (double **)malloc(sizeof(double *))) = (double *)malloc(sizeof(double)));
	***pointer = 2.0;

	printf("%lf\n", ***pointer);
	free(**pointer);
	free(*pointer);
	free(pointer);

	return 0;
}
